=begin pod

=TITLE class Pod::Block

    class Pod::Block { }

Class for a Pod block, and base class for most other Pod classes.

A Pod block has contents (more pod blocks or strings) and a config hash.

Useful subclasses:

=begin table

    Class                   Used for
    =====                   ========
    L<Pod::Block::Para>     paragraphs
    L<Pod::Block::Named>    named blocks
    L<Pod::Block::Code>     code blocks
    L<Pod::Block::Comment>  comments
    L<Pod::Block::Heading>  =head1 etc. headings
    L<Pod::Item>            list items

=end table

=head1 Methods

=head2 contents

    method contents() returns Positional:D

Returns a list of contents of this block.

=head2 config

    method config returns EnumMap:D

Returns a hash of configs.

=end pod
